Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.axis
Class ActiveMQVendorAdapter

    java.lang.Object
      org.apache.axis.components.jms.JMSVendorAdapter
          org.apache.axis.components.jms.BeanVendorAdapter
              org.codehaus.activemq.axis.ActiveMQVendorAdapter

public class ActiveMQVendorAdapter
extends org.apache.axis.components.jms.BeanVendorAdapter

An adapter for using ActiveMQ inside Apache Axis

Version:
  $Revision: 1.3 $

Field Summary
`static java.lang.String` | `BROKER_URL` The URL to connect to the broker
`static java.lang.String` | `DEFAULT_PASSWORD` Specifies the default password
`static java.lang.String` | `DEFAULT_USERNAME` Specifies the default user name
`static java.lang.String` | `EMBEDDED_BROKER` Specifies whether the broker is embedded
`protected static java.lang.String` | `QCF_CLASS`
`protected static java.lang.String` | `TCF_CLASS`

Fields inherited from class org.apache.axis.components.jms.BeanVendorAdapter
`CONNECTION_FACTORY_CLASS`

Fields inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`CONNECT_ACTION, ON_EXCEPTION_ACTION, RECEIVE_ACTION, SEND_ACTION, SUBSCRIBE_ACTION`

Constructor Summary
`ActiveMQVendorAdapter()`

Method Summary
`void` | `addVendorConnectionFactoryProperties(org.apache.axis.transport.jms.JMSURLHelper jmsUrl, java.util.HashMap properties)`
`QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap properties)`
`TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap properties)`
`boolean` | `isMatchingConnectionFactory(ConnectionFactory connectionFactory, org.apache.axis.transport.jms.JMSURLHelper jmsURL, java.util.HashMap properties)`

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`getJMSConnectionFactoryProperties, getJMSConnectorProperties, getQueue, getTopic, getVendorId, isRecoverable, setProperties, setupApplicationProperties, setupMessageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QCF_CLASS

    protected static final java.lang.String QCF_CLASS

### TCF_CLASS

    protected static final java.lang.String TCF_CLASS

### BROKER_URL

    public static final java.lang.String BROKER_URL

  The URL to connect to the broker

  See Also:
    Constant Field Values

### DEFAULT_USERNAME

    public static final java.lang.String DEFAULT_USERNAME

  Specifies the default user name

  See Also:
    Constant Field Values

### DEFAULT_PASSWORD

    public static final java.lang.String DEFAULT_PASSWORD

  Specifies the default password

  See Also:
    Constant Field Values

### EMBEDDED_BROKER

    public static final java.lang.String EMBEDDED_BROKER

  Specifies whether the broker is embedded

  See Also:
    Constant Field Values

Constructor Detail

### ActiveMQVendorAdapter

    public ActiveMQVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap properties)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTopicConnectionFactory

    public TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap properties)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addVendorConnectionFactoryProperties

    public void addVendorConnectionFactoryProperties(org.apache.axis.transport.jms.JMSURLHelper jmsUrl,
                                                     java.util.HashMap properties)

### isMatchingConnectionFactory

    public boolean isMatchingConnectionFactory(ConnectionFactory connectionFactory,
                                               org.apache.axis.transport.jms.JMSURLHelper jmsURL,
                                               java.util.HashMap properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.